Subject: Re: [PANIC] pktgen panic on load

From: Simon Holm Thøgersen <[email-masked]>
Date: Mon, 21 Sep 2009 20:49:20 +0200

> > > > just got this today after cloning Linus' tree, please let me know if you
> > > > want .config or full dmesg
> > > 
> > > config would help (hrt, nohz, preempt, ...), and was it just on module load?
> > > or had you started it sending?
> > 
> > I have the similar trace below on a simple 'modprobe pktgen'. I've
> > attached my config for v2.6.31-6456-g78f28b7.

> 
> Could you do a git bisect, although pktgen changed recently, the changes were
> not related to the thread initialization, so I suspect something outside
> the scope of networking (ie scheduler, vm, etc)

Seems like this was fixed by commit 3f04e8c ("sched: Re-add lost
cpu_allowed check to sched_fair.c::select_task_rq_fair()") according to
Ingo [1]. Indeed, using Linus' current tree works for me.

[1] http://marc.info/?l=linux-netdev&m=125355156524237&w=2

Simon Holm Thøgersen